<?php

namespace Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Doctrine\DBAL\Connection;

class Ate03600TabelaPrecosManual extends \Teknisa\GER\Controllers\TeknisaCrud {
    
	protected $dataSourceName;
    protected $parameterBagColumns = array();

    public function __construct($crudService, ParameterBag $parameterBag) {
        $this->crudService = $crudService;
        $this->parameterBag=$parameterBag;
        
    }

    public function salvaItens(DTO\Request $request, DTO\Response $response) {
        try {
            $this->dataSourceName = 'precosesubgru';
            $dataSourceName = $this->dataSourceNameToSave ? $this->dataSourceNameToSave : $this->dataSourceName;
            $rows = $this->crudService->getRowsToSave($request, $this->dataSourceName);
            $this->crudService->save($this->dataSourceName, $rows);
        } catch (\Exception $e) {
            $response->setError(new Error("Error in data save. ". $e->getMessage(), 500));
        }
    }
}