<?php

namespace Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;

class Ate41000ParametrosGeraisController extends \Teknisa\GER\Controllers\TeknisaCrud {

	protected $dataSourceName = 'paramcomis_filioper_filial_produto';
    protected $parameterBagColumns = array("CDFILIAL");
    protected $environment;

    public function __construct($crudService, $parameterBag,  $environment) {
        $this->crudService = $crudService;
        $this->parameterBag=$parameterBag;
        $this->environment=$environment;
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $filterCriteria = $request->getFilterCriteria();
        $filterCriteria->addCondition('CDOPERADOR', "=", $this->environment->getCdoperador());
        parent :: find($request,$response);
    }
    
    public function save(DTO\Request $request, DTO\Response $response){
        
    }

}